package com.pnkx.domain.po;

import com.pnkx.common.annotation.Excel;
import com.pnkx.common.core.domain.BaseEntity;

/**
 * @author by PHY
 * @Classname PxToDo
 * @date 2021-04-13 11:46
 */
public class PxToDo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 内容
     */
    @Excel(name = "内容")
    private String content;

    /**
     * 执行者
     */
    @Excel(name = "执行者")
    private String performer;

    /**
     * 计划开始时间
     */
    @Excel(name = "计划开始时间")
    private String planStartTime;

    /**
     * 计划结束时间
     */
    @Excel(name = "计划结束时间")
    private String planEndTime;

    /**
     * 状态(0未完成；1已完成)
     */
    @Excel(name = "状态(0未完成；1已完成)")
    private Boolean status;

    /**
     * 标签
     */
    @Excel(name = "标签")
    private String label;

    /**
     * 版本号
     */
    @Excel(name = "版本号")
    private String version;

    /**
     * 完成人
     */
    @Excel(name = "完成人")
    private String finishBy;

    /**
     * 完成时间
     */
    @Excel(name = "完成时间")
    private String finishTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setPerformer(String performer) {
        this.performer = performer;
    }

    public String getPerformer() {
        return performer;
    }

    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    public String getPlanStartTime() {
        return planStartTime;
    }

    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    public String getPlanEndTime() {
        return planEndTime;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersion() {
        return version;
    }

    public void setFinishBy(String finishBy) {
        this.finishBy = finishBy;
    }

    public String getFinishBy() {
        return finishBy;
    }

    public void setFinishTime(String finishTime) {
        this.finishTime = finishTime;
    }

    public String getFinishTime() {
        return finishTime;
    }

    @Override
    public String toString() {
        return "PxToDo{" +
                "id=" + id +
                ", content='" + content + '\'' +
                ", performer='" + performer + '\'' +
                ", planStartTime='" + planStartTime + '\'' +
                ", planEndTime='" + planEndTime + '\'' +
                ", status='" + status + '\'' +
                ", label='" + label + '\'' +
                ", version='" + version + '\'' +
                ", finishBy='" + finishBy + '\'' +
                ", finishTime='" + finishTime + '\'' +
                '}';
    }
}
